AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Action
ManagerActionEvent Class
ManagerActionEvent Constructor
ManagerActionEvent Methods
ManagerActionEvent Properties

| ManagerActionEvent Class

The ManagerActionEvent is implemented by ManagerActions that return their result not in a ManagerResponse but by sending a series of events.
The event type that indicates that Asterisk is finished is returned by the ActionCompleteEventClass property.
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
ManagerActionEvent
More...

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public abstract class ManagerActionEvent : ManagerAction

    Public MustInherit Class ManagerActionEvent
    	Inherits ManagerAction

    public ref class ManagerActionEvent abstract : public ManagerAction

    [<AbstractClassAttribute>]
    type ManagerActionEvent =
        class
            inherit ManagerAction
        end

The ManagerActionEvent type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ManagerActionEvent | Initializes a new instance of the ManagerActionEvent class

Top
Methods

| Name | Description
--- | --- | ---
| ActionCompleteEventClass | Returns the event type that indicates that Asterisk is finished sending response events for this action.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | Manager API Action key. Also use as ProxyAction key to ProxyAction actions. (Inherited from ManagerAction.)
| ActionId | (Inherited from ManagerAction.)
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace
AsterNET.Manager.Event
ResponseEvent
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
ManagerActionEvent
AsterNET.Manager.Action
AgentsAction
AsterNET.Manager.Action
ConfbridgeListAction
AsterNET.Manager.Action
ConfbridgeListRoomsAction
AsterNET.Manager.Action
DBGetAction
AsterNET.Manager.Action
OriginateAction
AsterNET.Manager.Action
ParkedCallsAction
AsterNET.Manager.Action
QueueStatusAction
AsterNET.Manager.Action
SIPPeersAction
AsterNET.Manager.Action
SIPShowPeerAction
AsterNET.Manager.Action
StatusAction
AsterNET.Manager.Action
ZapShowChannelsAction